package thyyxxk.webserver.config.exception;

/**
 * @author dj
 */

public enum ExceptionEnum {
    /**
     * 成功
     */
    SUCCESS(200, "成功。"),
    /**
     * 提示成功
     */
    SUCCESS_AND_NOTIFICATION(201, "操作成功"),

    // 以下是需要消息提示的错误
    INTERNAL_SERVER_ERROR(1001, "服务器内部错误！"),
    NULL_POINTER(1002, "有不合法的空值存在！"),
    NETWORK_ERROR(1003, "网络异常！"),
    EXIST_NEGATIVE_FEES(1004, "此患者费用清单存在负数。"),
    NO_DATA_EXIST(1005, "没有查询到符合条件的数据。"),
    ABNORMAL_YZ_ACT_ORDER(1006, "此患者存在异常状态医嘱。"),
    INVALID_PARAM(1007, "参数异常，请检查。"),
    // 以下是需要弹窗提示的错误
    LOGICAL_ERROR(2001, "错误。"),
    NEED_PROOFREAD(2002, "错误。"),
    LOGICAL_HTML_ERROR(2003, "错误。"),

    // 以下是需要弹窗提示并且重定向到登录页面
    TOKEN_NOT_EXIST(3001, "没有找到令牌，请重新登录！"),
    TOKEN_EXPIRED(3001, "令牌已过期，请重新登录！"),
    TOKEN_ERROR(3001, "令牌错误，请重新登录！"),
    USER_NOT_EXIST(3002, "用户不存在，请重新登录！"),
    INVALID_PASSWORD(3003, "密码错误，请重新登录！"),
    BAD_REQUEST(3004, "无法转换请求，请用正确的方式访问！"),
    // 以下是不需要提示的错误
    SLIGHTLY_ERROR(4001, "无需提示的返回。"),

    SERVER_IS_UPDATE(5001, "服务器正在升级,请稍后在试一下。");

    private final int code;
    private String message;

    ExceptionEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
